Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 1719103002: CacheStorage: Expand cache.keys() method. (Closed)

Created:
3 years, 3 months ago by zino
Modified:
2 years, 9 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, jkarlin+watch_chromium.org, nhiroki
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

CacheStorage: Expand cache.keys() method. Current implementation of the method is always return all of keys even if it takes optional parameters. According to ServiceWorkerSpec[1], the method should take a request object and cache query options[2] as optional parameters. This CL is expanding the method as per the spec. [1] http://slightlyoff.github.io/ServiceWorker/spec/service_worker/#cache-keys [2] Currenly, only supports ignoreSearch option like matchAll(), delete() BUG=520784 Committed: https://crrev.com/e6a4575cd18e48c18e7d5f5183e2fc17e537b725 Cr-Commit-Position: refs/heads/master@{#410868}

Patch Set 1 #

Total comments: 1

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Total comments: 7

Patch Set 5 : rebase #

Patch Set 6 #

Total comments: 11

Patch Set 7 : addressed comments #

Total comments: 6

Patch Set 8 : nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+279 lines, -35 lines) Patch
M content/browser/cache_storage/cache_storage_cache.h View 1 2 3 4 2 chunks +6 lines, -3 lines 0 comments Download
M content/browser/cache_storage/cache_storage_cache.cc View 1 2 3 4 5 4 chunks +20 lines, -9 lines 0 comments Download
M content/browser/cache_storage/cache_storage_cache_unittest.cc View 1 2 3 4 5 6 2 chunks +41 lines, -4 lines 0 comments Download
M content/browser/cache_storage/cache_storage_dispatcher_host.cc View 1 2 3 4 1 chunk +8 lines, -3 lines 0 comments Download
M content/renderer/cache_storage/cache_storage_dispatcher.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/cache_storage/cache_storage_dispatcher.cc View 1 2 3 4 2 chunks +3 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/cachestorage/resources/test-helpers.js View 1 2 3 4 5 6 7 1 chunk +56 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/cachestorage/script-tests/cache-keys.js View 1 2 3 4 5 6 7 1 chunk +126 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/http/tests/cachestorage/serviceworker/cache-keys.html View 1 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/cachestorage/serviceworker/ignore-search-with-credentials.html View 1 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/cachestorage/Cache.cpp View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/cachestorage/CacheTest.cpp View 1 2 3 4 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/cachestorage/InspectorCacheStorageAgent.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/public/platform/modules/serviceworker/WebServiceWorkerCache.h View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 37 (20 generated)
zino
https://codereview.chromium.org/1719103002/diff/1/content/browser/cache_storage/cache_storage_cache.h File content/browser/cache_storage/cache_storage_cache.h (left): https://codereview.chromium.org/1719103002/diff/1/content/browser/cache_storage/cache_storage_cache.h#oldcode105 content/browser/cache_storage/cache_storage_cache.h:105: // TODO(jkarlin): Have keys take an optional ServiceWorkerFetchRequest. jkarlin@, ...
3 years, 2 months ago (2016-02-24 18:26:57 UTC) #4
jkarlin
I'm not working on it, go for it.
3 years, 2 months ago (2016-02-24 18:31:30 UTC) #5
zino
Please take a look. Thank you.
3 years, 2 months ago (2016-03-02 16:51:06 UTC) #14
zino
On 2016/03/02 16:51:06, zino wrote: > Please take a look. > > Thank you. FYI, ...
3 years, 2 months ago (2016-03-03 09:44:48 UTC) #15
jkarlin
Overall looking good but please see the last comment as I think another CL should ...
3 years, 2 months ago (2016-03-04 14:39:09 UTC) #17
zino
Reviewers, Please take a look at PatchSet6. Thank you
2 years, 9 months ago (2016-08-02 01:09:20 UTC) #22
nhiroki
Partially reviewed. I'll take another look later. https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc File content/browser/cache_storage/cache_storage_cache.cc (right): https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc#newcode632 content/browser/cache_storage/cache_storage_cache.cc:632: !query_cache_results->request->url.is_empty()) { ...
2 years, 9 months ago (2016-08-02 07:31:06 UTC) #23
jkarlin
https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache_unittest.cc File content/browser/cache_storage/cache_storage_cache_unittest.cc (right): https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache_unittest.cc#newcode1057 content/browser/cache_storage/cache_storage_cache_unittest.cc:1057: expected_keys.push_back(body_request_with_query_.url.spec()); You can use vector initializers now, so this ...
2 years, 9 months ago (2016-08-02 12:06:20 UTC) #24
zino
Thank you for review. https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc File content/browser/cache_storage/cache_storage_cache.cc (right): https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc#newcode632 content/browser/cache_storage/cache_storage_cache.cc:632: !query_cache_results->request->url.is_empty()) { On 2016/08/02 07:31:06, ...
2 years, 9 months ago (2016-08-02 17:37:42 UTC) #25
nhiroki
LGTM (sorry for my delayed reply) https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc File content/browser/cache_storage/cache_storage_cache.cc (right): https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache.cc#newcode632 content/browser/cache_storage/cache_storage_cache.cc:632: !query_cache_results->request->url.is_empty()) { On ...
2 years, 9 months ago (2016-08-08 12:40:55 UTC) #26
zino
Thank you for review. I addressed all of comments. https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache_unittest.cc File content/browser/cache_storage/cache_storage_cache_unittest.cc (right): https://codereview.chromium.org/1719103002/diff/220001/content/browser/cache_storage/cache_storage_cache_unittest.cc#newcode1057 content/browser/cache_storage/cache_storage_cache_unittest.cc:1057: ...
2 years, 9 months ago (2016-08-08 16:36:03 UTC) #27
zino
jkarlin@ Could you review this patch? Would you mind if I commit this?
2 years, 9 months ago (2016-08-09 15:14:07 UTC) #28
jkarlin
lgtm with a couple of nits. Sorry for the slow response, I was OOO for ...
2 years, 9 months ago (2016-08-09 18:34:29 UTC) #29
zino
Thank you for review. I ran 'git cl format' and 'git cl presubmit' but there ...
2 years, 9 months ago (2016-08-09 21:54:00 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1719103002/260001
2 years, 9 months ago (2016-08-09 21:54:55 UTC) #33
commit-bot: I haz the power
Committed patchset #8 (id:260001)
2 years, 9 months ago (2016-08-09 23:39:03 UTC) #35
commit-bot: I haz the power
2 years, 9 months ago (2016-08-09 23:41:25 UTC) #37
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/e6a4575cd18e48c18e7d5f5183e2fc17e537b725
Cr-Commit-Position: refs/heads/master@{#410868}

Powered by Google App Engine
This is Rietveld 408576698